/* Hero */
#hero {
  padding: 0 var(--global-padding);
  background: linear-gradient(
    180deg,
    #ecece7 0%,
    #ecece7 4.7%,
    #ebebe6 8.9%,
    #ebebe6 12.8%,
    #eaeae5 16.56%,
    #e9e9e5 20.37%,
    #e9e9e4 24.4%,
    #e8e8e3 28.83%,
    #e7e7e2 33.84%,
    #e5e5e1 39.6%,
    #e4e4e0 46.3%,
    #e2e2de 54.1%,
    #e0e0dd 63.2%,
    #dededb 73.76%,
    #dcdcd8 85.97%,
    #d9d9d6 100%
  );
}
#hero h2 {
  text-align: center;
}
#hero em {
  display: block;
  margin-bottom: 0.375rem;
  text-align: center;
}
#hero .container {
  padding-top: 5.5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: end;
  min-height: 100svh;
}
#hero img {
  width: 84%;
  margin-top: 3rem;
}
/* Animation reveal hero*/
#hero.to-reveal h2 {
  opacity: 0;
  transition:
    opacity 1.5s var(--anim-bezier),
    transform 1.5s var(--anim-bezier);
  transform: translateY(-2rem);
}
#hero.to-reveal.reveal h2 {
  opacity: 1;
  transform: translateY(0);
}
#hero.to-reveal img {
  transform: scale(1.2);
  transition: transform 1.5s var(--anim-bezier);
  transform-origin: bottom;
}
#hero.to-reveal.reveal img {
  transform: scale(1);
}

/* Section models */
#sectionPin {
  background-color: var(--bg-inverse-default);
  color: var(--txt-inverse-default);
  padding: 0;
  overflow: visible;
}

.pin-wrap-sticky {
  position: sticky;
  top: 0;
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: var(--global-padding);
  overflow: hidden;
}

.pin-wrap {
  display: flex;
  gap: 3rem;
  align-items: center;
  width: max-content;
}
#sectionPin h2 {
  margin-bottom: 2rem;
  color: var(--txt-inverse-default);
}
#sectionPin .card {
  position: relative;
  min-width: 51rem;
  height: 30rem;
  background-color: var(--bg-alt);
  padding: 2rem;
  overflow: hidden;
}
#sectionPin .card-content {
  position: relative;
  z-index: 2;
}
#sectionPin .card-links {
  margin-top: 2rem;
  display: flex;
  flex-direction: column;
}
#sectionPin .card-number {
  position: absolute;
  right: 6.5rem;
  top: 0.5rem;
  font-size: 26rem;
  font-weight: 400;
  color: var(--txt-inverse-alt); /* Le chiffre géant en fond */
  line-height: 1;
  z-index: 1;
  opacity: 0.8;
  text-box: trim-both cap alphabetic;
}
#sectionPin .card img {
  height: 20rem;
  object-fit: cover;
  object-position: left center;
  position: absolute;
  bottom: 0;
  left: 15.75rem;
  z-index: 2;
  transition: none;
  transform: translateX(10%);
}

/* Section design */
#design {
  padding: 0 var(--global-padding);
  background-color: var(--bg-inverse-default);
  position: relative;
  overflow: hidden;
}
#design::after {
  content: "";
  background-color: var(--txt-primary);
  width: 57%;
  height: 148%;
  position: absolute;
  top: -15.5%;
  left: -14%;
  z-index: 2;
  transform: rotate(-34.5deg);
  border-radius: 99%;
  filter: blur(6.875rem);
  opacity: 0.6;
}
#design .container {
  display: grid;
  grid-template-columns: var(--grid-template);
  column-gap: var(--grid-gapcolumn);
  padding: 24rem 0 8rem 0;
}
#design .content {
  position: relative;
  z-index: 4;
  grid-column: 1/6;
  grid-row: 1/1;
}
#design h2 {
  display: flex;
  flex-direction: column;
  margin-bottom: 1.5rem;
}
#design img {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 1;
  object-fit: cover;
}
/* Animation reveal */
#design.to-reveal .content {
  opacity: 0;
  transition:
    opacity 1.5s var(--anim-bezier),
    transform 1.5s var(--anim-bezier);
  transform: translateY(-2rem);
}
#design.to-reveal.reveal .content {
  opacity: 1;
  transform: translateY(0);
}
#design.to-reveal img {
  transform: scale(1.2);
  transition: transform 1.5s var(--anim-bezier);
  transform-origin: bottom;
}
#design.to-reveal.reveal img {
  transform: scale(1);
}

/* Section ecology */
#ecology {
  padding: 0 var(--global-padding);
}
#ecology .container {
  padding: 12rem 0;
  display: flex;
  flex-direction: row;
  gap: 6.75rem;
  justify-content: center;
}
#ecology .big-number h3 {
  display: inline-flex;
  align-items: flex-start;
  line-height: 1;
  gap: 0.5rem;
}
#ecology .big-number h3 span {
  text-box: trim-both cap alphabetic;
  display: block;
}
#ecology .big-number h3 span.value {
  font-family: var(--font-heading);
  font-size: clamp(6.25rem, 26.94vw, 40rem);
  letter-spacing: -0.09em;
}
#ecology .big-number h3 span.unit {
  font-family: var(--font-heading);
  font-size: clamp(3rem, 10vw, 12rem);
  letter-spacing: 0;
}
#ecology .big-number p {
  margin-top: 1.5rem;
  text-box: trim-both cap alphabetic;
}
#ecology .content {
  max-width: 37.5rem;
}
#ecology .content h2 {
  display: inline-flex;
  flex-direction: column;
}
#ecology .content p {
  margin: 2rem 0;
}

/* Section recharge */
#recharge {
  padding: 0 var(--global-padding);
  position: relative;
}
#recharge.to-reveal::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--bg-inverse-default);
  transform: scaleX(0);
  transition: transform 8s var(--anim-bezier);
}
#recharge .container {
  padding: 6rem 0;
  align-items: center;
  flex-direction: column;
  min-height: 65vh;
  display: flex;
  justify-content: center;
}
#recharge h2 {
  display: flex;
  flex-direction: column;
  text-align: center;
}
#recharge h2 strong {
  margin: 2rem 0 0.5rem 0;
  font-size: 12.75rem;
  line-height: 1;
  text-box: trim-both cap alphabetic;
  letter-spacing: -0.07em;
  position: relative;
  z-index: 2;
}
#recharge h2 em,
#recharge h2 span {
  mix-blend-mode: difference;
}
/* Animation reveal */
#recharge.to-reveal.reveal::before {
  transform: scaleX(1);
  transform-origin: left;
}

/* Section map */
#map {
  background-color: var(--bg-alt);
  position: relative;
  overflow: hidden;
  padding: 0 var(--global-padding);
}
#map .container {
  padding: 4rem 0 32rem 0;
  display: flex;
  flex-direction: column;
  position: relative;
  z-index: 5;
}
#map h2 {
  display: inline-flex;
  flex-direction: column;
  margin-bottom: 1.5rem;
}
.map-container {
  width: 100%;
  position: absolute;
  top: -7.5%;
  left: -12%;
  z-index: 1;
}

.map-bg {
  width: 132.122%;
  height: auto;
  display: block;
}

/* Le Point Central (Le noyau orange foncé) */
.map-pin {
  position: absolute;
  width: 1rem; /* Taille du point central */
  height: 1rem;
  background-color: var(--txt-brand); /* Ton Orange Polestar */
  border-radius: 50%;
  transform: translate(
    -50%,
    -50%
  ); /* Pour centrer le point sur ses coordonnées */
  cursor: pointer;
  z-index: 2;
}

/* L'Animation d'Impulsion (Le halo clair) */
.map-pin .pulse {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  background-color: var(--txt-brand);
  border-radius: 50%;
  z-index: -1;
  opacity: 0.6;
  animation: pulse-ring 2.5s var(--anim-bezier) infinite;
}

/* Définition de l'animation */
@keyframes pulse-ring {
  0% {
    transform: translate(-50%, -50%) scale(0.5);
    opacity: 0.8;
  }
  100% {
    transform: translate(-50%, -50%) scale(3.5);
    opacity: 0;
  }
}

/* Section shop*/
#shop {
  margin-left: var(--global-padding);
  overflow: hidden;
}
#shop .container {
  display: grid;
  grid-template-columns: var(--grid-template);
  grid-template-rows: repeat(2, auto);
  column-gap: var(--grid-gapcolumn);
  align-items: start;
  padding: 8rem 0;
}
.shop-static {
  grid-column: 1/4;
  grid-row: 1/1;
  position: sticky;
  top: 2rem;
  z-index: 2;
}
.shop-info {
  grid-column: 1/5;
  grid-row: 1/1;
}
#shop .shop-nav {
  display: flex;
  flex-direction: row;
  gap: 2rem;
  margin-top: auto;
}
#shop button.nav-btn {
  padding: unset;
  border: unset;
  display: flex;
  background: unset;
}
#shop button.nav-btn svg {
  width: 1.5rem;
  height: 1.5rem;
}
#shop .splide__track {
  grid-column: 5/13;
  grid-row: span 2;
  overflow: hidden;
}
.product-card .img-wrapper {
  background-color: var(--bg-alt);
  aspect-ratio: 3/4;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 1rem;
}
.product-card img {
  width: 100%;
  height: 100%;
}
#shop .carousel-control {
  grid-column: 1/5;
  grid-row: 2/2;
  margin-top: auto;
  margin-bottom: 3.875rem;
}
.my-carousel-progress {
  background: var(--bg-alt);
}
.my-carousel-progress-bar {
  background: var(--bg-inverse-default);
  height: 2px;
  transition: width 400ms ease;
  width: 0;
}
#shop .splide__arrows {
  display: flex;
  flex-direction: row;
  gap: 2rem;
  margin-bottom: 0.75rem;
  overflow: visible;
}
#shop button.splide__arrow {
  display: flex;
  width: 1.5rem;
  aspect-ratio: 1/1;
  cursor: pointer;
  position: relative;
  color: var(--txt-primary);
  overflow: visible;
  transition: opacity 500ms var(--anim-bezier);
}
#shop button.splide__arrow:disabled {
  opacity: 0.2;
  pointer-events: none;
}
#shop .splide__arrow svg {
  width: 100%;
  height: 100%;
  transition: transform 500ms var(--anim-bezier);
  overflow: visible;
}
#shop button.splide__arrow:hover svg {
  transform: translateX(0.25rem);
}
#shop .splide__arrow--prev {
  transform: scaleX(-1);
}
#shop button.splide__arrow::after {
  content: "";
  height: 1px;
  width: 0.5rem;
  position: absolute;
  left: 0.125rem;
  top: 50%;
  transform: translateY(-50%);
  background-color: currentColor;
}
/* Animation reveal shop */
#shop.to-reveal .shop-info {
  transform: translateY(2rem);
  opacity: 0;
  transition:
    opacity 1.5s var(--anim-bezier),
    transform 1.5s var(--anim-bezier);
}
#shop.to-reveal.reveal .shop-info {
  transform: translateY(0);
  opacity: 1;
}
#shop.to-reveal .splide__track {
  transform: translateX(100%);
  transition: transform 2.5s var(--anim-bezier);
}
#shop.to-reveal.reveal .splide__track {
  transform: translateX(0);
}
